### Hierarchy

- BatchGetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- params
- tableNameResolver
- tables

### Methods

- exec
- execFullResponse
- forModel
- getTableName

## Constructors

### constructor

- new BatchGetRequest(tableNameResolver?: TableNameResolver, sessionValidityEnsurer?: SessionValidityEnsurer): BatchGetRequest

- - Defined in dynamo/batchget/batch-get.request.ts:24

  #### Parameters

  - ##### Default value tableNameResolver: TableNameResolver = DEFAULT_TABLE_NAME_RESOLVER

  - ##### Default value sessionValidityEnsurer: SessionValidityEnsurer = DEFAULT_SESSION_VALIDITY_ENSURER

  #### Returns BatchGetRequest

## Properties

### Private dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/batchget/batch-get.request.ts:21

### params

params: BatchGetItemInput

- Defined in dynamo/batchget/batch-get.request.ts:24

### Private tableNameResolver

tableNameResolver: TableNameResolver

- Defined in dynamo/batchget/batch-get.request.ts:27

### Private tables

tables: Map<string, ModelConstructor<any>> = new Map()

- Defined in dynamo/batchget/batch-get.request.ts:23

## Methods

### exec

- exec(): Observable<BatchGetResponse>

- - Defined in dynamo/batchget/batch-get.request.ts:115

  #### Returns Observable<BatchGetResponse>

### execFullResponse

- execFullResponse(): Observable<BatchGetFullResponse>

- - Defined in dynamo/batchget/batch-get.request.ts:96

  #### Returns Observable<BatchGetFullResponse>

### forModel

- forModel<T>(modelClazz: ModelConstructor<T>, keys: Array<string | PrimaryKey>): BatchGetRequest

- - Defined in dynamo/batchget/batch-get.request.ts:41

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### keys: Array<string | PrimaryKey>

    either a simple string for partition key or an object with partitionKey and sortKey

  #### Returns BatchGetRequest

### Private getTableName

- getTableName(modelClazz: ModelConstructor<any>, tableNameResolver: TableNameResolver): string

- - Defined in dynamo/batchget/batch-get.request.ts:129

  #### Parameters

  - ##### modelClazz: ModelConstructor<any>

  - ##### tableNameResolver: TableNameResolver

  #### Returns string

Generated using TypeDoc